Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jvm
Interface Machine

All Superinterfaces:
  Describable, JVMComponent

public interface Machine
extends JVMComponent

Represents the hardware on which the OperatingSystem and JVM is run.

Author:
  Calle Wilund
, Marcus Hirt

Method Summary
`java.util.List` | `getCPUs()` Returns the CPUs in the machine as an ordered collection (List) of CPU objects.
`java.util.Collection` | `getHardwareComponents()` Returns all available hardware components in the system, as a Collection of HardwareComponent.
`java.util.Collection` | `getNICs()` Returns the network interface cards as a collection of NIC.
`PhysicalMemory` | `getPhysicalMemory()` The physical memory of the hardware.

Methods inherited from interface com.bea.jvm.Describable
`getDescription`

Method Detail

### getCPUs

    public java.util.List getCPUs()
                           throws NotAvailableException

  Returns the CPUs in the machine as an ordered collection (List) of CPU objects.

  Returns:
    the CPUs in the machine.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.
  See Also:
    `CPU`

### getNICs

    public java.util.Collection getNICs()
                                 throws NotAvailableException

  Returns the network interface cards as a collection of NIC.

  Returns:
    a collection of NIC.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM. This exception will be thrown by 1.3 versions of JRockit.
  See Also:
    `NIC`

### getPhysicalMemory

    public PhysicalMemory getPhysicalMemory()
                                     throws NotAvailableException

  The physical memory of the hardware.

  Returns:
    the physcal memory of the hardware.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.
  See Also:
    `PhysicalMemory`

### getHardwareComponents

    public java.util.Collection getHardwareComponents()
                                               throws NotAvailableException

  Returns all available hardware components in the system, as a Collection of HardwareComponent.

  Returns:
    all available hardware components in the system.
  Throws:
    `NotAvailableException` - if this functionality isn't available in this JVM.
  See Also:
    `HardwareComponent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD